Skip to content

Resolves a stored routing policy AND executes the resolved target chain through the governed Executor, emitting the result's CostSample.

POST
/v1/m/models/routing-policies/{id}/execute
curl --request POST \
--url https://example.com/v1/m/models/routing-policies/example/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "input": "example", "max_tokens": 1, "session_ref": "example", "surface": "example" }'

Resolves a stored routing policy AND executes the resolved target chain through the governed Executor, emitting the result’s CostSample.

id
required
string

Path parameter id.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
input
required
string
>= 1 characters /\S/
max_tokens

Values less than or equal to zero are replaced with the handler default of 1024.

integer
session_ref
string
surface
string
Example generated
{
"input": "example",
"max_tokens": 1,
"session_ref": "example",
"surface": "example"
}

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}